%lorenz_attractor_plot.m 
%Kap. 8.10.1
%Grafische Darstellung der Signale aus lorenz_attractor.mdl 

%Zunchst mit 
%[sizes,x0,xstring] = lorenz_attractor
%berprfen, wie die Zustnde von Simulink auf die
%drei Integratoren verteilt werden.

x = xout(:,1);
z = xout(:,2);
y = xout(:,3);

figure
plot3(x,y,z);
set(gca,'Xlim',[-12 12],'Ylim',[-22 22],'Zlim', [5 45], 'Fontsize',13)
view(-65,30)
xlabel('x');
ylabel('y');
zlabel('z');
title('lorenz strange attractor')
grid on;
hold on;